Bug 114813 - Calc always inserts a space between v and o
Summary: Calc always inserts a space between v and o
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-01-02 21:06 UTC by gghbonline
Modified: 2019-06-06 02:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.44 KB, text/plain)
2018-01-02 22:54 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gghbonline 2018-01-02 21:06:34 UTC
Description:
Trying to write in calc cells, any name including the letters "vo"
 is written "v o" like if there was a space in between.
OpenOffice is 5.3.7.2 on Win 8.1 64 bits

Steps to Reproduce:
1.type "v"
2.type "o" next to "v"
3.

Actual Results:  
v o

Expected Results:
vo


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Xisco Faulí 2018-01-02 22:01:26 UTC Comment hidden (obsolete)
Comment 2 Telesto 2018-01-02 22:32:32 UTC
Confirming with:
Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-26_23:10:23
Locale: nl-NL (nl_NL); Calc: CL

Liberation Sans, Font 10, Zoom-level 100%. I have seen something similar in Writer

No repro with:
Version: 5.4.1.0.0+
Build ID: f200d5700782ae179fd96b6ad4b0fe8e7edd1616
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Xisco Faulí 2018-01-02 22:35:57 UTC
ok. Only Win!

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 864ab0502a4d3506413451e8c545144c6c15d777
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-28_00:54:35
Locale: es-ES (es_ES); Calc: group threaded

but not in

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 4 Telesto 2018-01-02 22:40:42 UTC
The difference 6.1.0.0 and 5.4.1 is related to:
author	Xisco Fauli <anistenis@gmail.com>	2017-09-28 12:05:13 +0200
committer	Khaled Hosny <khaledhosny@eglug.org>	2017-10-04 01:38:21 +0200
commit	01f674a95ddec76dc4c8ecfccdca1773657e47cb (patch)
tree	4727c9643b6f758ed6ffa6a47bc98b4f3b2b80f7
parent	6e3e4cd38b56d432c48cd7217885974e3f0519fd (diff)
tdf#112486 Do not force GDI in no OpenGL
See:
http://nabble.documentfoundation.org/Re-Minutes-of-ESC-call-2017-09-21-tt4223238.html
Comment 5 Telesto 2018-01-02 22:54:19 UTC
Created attachment 138829 [details]
Bibisect log

Bisected to:
author	Khaled Hosny <khaledhosny@eglug.org>	2016-12-20 01:36:34 +0200
committer	Caolán McNamara <caolanm@redhat.com>	2016-12-20 09:24:15 +0000
commit	5e63617ef934d3602bbc22f0f01c77b024347e60 (patch)
tree	1a8e7cf806974ea64be5b61101aaafcdcf266b62
parent	ce758326191d66520ecba94c8a62a98dcfa3846b (diff)
tdf#103765: Round positions instead of truncating
Comment 6 gghbonline 2018-01-02 22:57:22 UTC
Tested in safe mode with both my keyboards and languages FR/ENG and PT/ENG and it is still there.
Comment 7 Aron Budea 2018-01-03 07:20:17 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2018-06-05 21:02:43 UTC
Adding Cc: to Khaled Hosny
Comment 9 QA Administrators 2019-06-06 02:55:14 UTC
Dear gghbonline,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug